Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_call_cache Struct Reference

`#include <internal.h>`

## Data Fields
rb_serial_t | method_state
rb_serial_t | class_serial [(CACHELINE - sizeof(rb_serial_t) - sizeof(struct rb_callable_method_entry_struct *) - sizeof(uintptr_t) - sizeof(enum method_missing_reason) - sizeof(VALUE(*)(struct rb_execution_context_struct *e, struct rb_control_frame_struct *, struct rb_calling_info *, const struct rb_call_data *)))/sizeof(rb_serial_t)]
const struct rb_callable_method_entry_struct * | me
uintptr_t | method_serial
VALUE(* | call )(struct rb_execution_context_struct *ec, struct rb_control_frame_struct *cfp, struct rb_calling_info *calling, struct rb_call_data *cd)
union {
unsigned int index
enum method_missing_reason method_missing_reason
} | aux
union {
unsigned int index
enum method_missing_reason method_missing_reason
} | aux

## Detailed Description

Definition at line 2355 of file internal.h.

## Field Documentation

## ◆ aux [1/2]

union { ... } rb_call_cache::aux

## ◆ aux [2/2]

union { ... } rb_call_cache::aux

## ◆ call

VALUE(* rb_call_cache::call)(struct rb_execution_context_struct *ec, struct rb_control_frame_struct *cfp, struct rb_calling_info *calling, struct rb_call_data *cd)

Definition at line 2376 of file internal.h.

## ◆ class_serial

rb_serial_t rb_call_cache::class_serial

Definition at line 2370 of file internal.h.

## ◆ index

unsigned int rb_call_cache::index

Definition at line 2382 of file internal.h.

## ◆ me

const struct rb_callable_method_entry_struct * rb_call_cache::me

Definition at line 2373 of file internal.h.

## ◆ method_missing_reason

enum method_missing_reason rb_call_cache::method_missing_reason

Definition at line 2383 of file internal.h.

## ◆ method_serial

uintptr_t rb_call_cache::method_serial

Definition at line 2374 of file internal.h.

## ◆ method_state

rb_serial_t rb_call_cache::method_state

Definition at line 2357 of file internal.h.

The documentation for this struct was generated from the following files:

- internal.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h